Bug 132956 - CALC: UI: graph not shown in 7.0.0.0.a1+
Summary: CALC: UI: graph not shown in 7.0.0.0.a1+
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-05-11 14:35 UTC by b.
Modified: 2020-07-07 09:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file with missing graph (2.92 MB, application/vnd.oasis.opendocument.spreadsheet)
2020-05-11 14:37 UTC, b.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description b. 2020-05-11 14:35:06 UTC
Description:
see file attached with next comment, there are 2 graphs included on sheet1 below cell B274, displayed in 6.2.8.2, but not in 7.0.0.0.a1+, 

it may be that i'm just 'standing on the hose'? or have 'tomatoes on my eyes'? or missed neccessary settings in 7.0 ??? sorry if that happened ... 


Steps to Reproduce:
1. open attachement with 6.2 ver.: two graphs on sheet1 below cell B274, 
2. open with 7.0: area (frame) for graphs defined, legend shown, but not the data series ... 
3. recheck: define a graph in 7.0, works and displays data series

Actual Results:
data series off or hidden, 

Expected Results:
graphs displayed as in ver. 6.2


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.0.0.alpha1 (x64)
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI: en-US
Calc:
Comment 1 b. 2020-05-11 14:37:29 UTC
Created attachment 160670 [details]
file with missing graph

sorry for big file, was short in time to produce a short reproducer ...
Comment 2 Xisco Faulí 2020-05-11 15:13:16 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=739ed2c29f49ea5e83bcd1352b2644c2e2d09f7b

author	Balazs Varga <balazs.varga991@gmail.com>	2019-11-21 14:56:43 +0100
committer	László Németh <nemeth@numbertext.org>	2019-11-27 12:02:50 +0100
commit	739ed2c29f49ea5e83bcd1352b2644c2e2d09f7b (patch)
tree	1df3153f300af63631410770638beebf5ea916fc
parent	6bced3c6a1bf8d4652dd6ba75e41b128ce1bfc5c (diff)
tdf#115630 tdf#88922 Chart: fix custom legend position and size

Bisected with: bibisect-linux64-6.5

Adding Cc: to Balazs Varga
Comment 3 Commit Notification 2020-05-21 10:08:01 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cf46500243c51071227e08c5067041e414180ebc

tdf#132956 Chart view: fix missing plot area

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-05-25 13:45:43 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 82894d85147840f1f587e9530b12f0058f2ef2c3
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Balázs, Thanks for fixing this issue!!!
Comment 5 b. 2020-06-05 14:57:29 UTC
confirm, works better with below ver. 

thanks to @Balazs, 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 75e1cf6c6ea83e65da248dab917b06feea6c18e4
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: CL
Comment 6 Commit Notification 2020-07-07 09:14:07 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d1e570f2db9903cba2d8d91343922ef1393d4895

tdf#132956 Chart view: fix missing plot area

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.